/* Debug functions
   Copyright (c) 2010 Networked Systems Group, University of Kaiserslautern

This file is part of the Imote2 Bootloader

The Bootloader is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

The Bootloader is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#ifndef DEBUG_H
#define DEBUG_H

#include "driver.h"

/** \addtogroup debug
 * @{
 */

/** \file debug.h
 * \brief debug interface
 */

extern struct Driver debugDriver;

#ifdef DEBUG
void debug(const char * msg) __attribute__((no_instrument_function));
int debugf(const char * format, ...)
	__attribute__((no_instrument_function, format(printf,1,2)));
#else
/** \brief dummy macro if debug is not used */
#define debug(_arg0)
/** \brief dummy macro if debug is not used */
#define debugf(_arg0, _arg...)
#endif

/** @} */

#endif

