/* LED driver
   Copyright (c) 2010 Networked Systems Group, University of Kaiserslautern

This file is part of the Imote2 Bootloader

The Bootloader is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

The Bootloader is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#ifndef LED_H
#define LED_H

#include <os_arm_bare_registers_def.h>
#include "driver.h"

/** \file led.h
 * \brief LED driver
 */

/** \brief red led */
#define LED_RED 103
/** \brief green led */
#define LED_GREEN 104
/** \brief blue led */
#define LED_BLUE 105

extern struct Driver ledDriver;

/** \brief light up led
 * \param led GPIO of the led */
inline static void ledOn(uint8_t led) {
	CLEAR_GPIO(led);
}

/** \brief turn led off
 * \param led GPIO of the led */
inline static void ledOff(uint8_t led) {
	SET_GPIO(led);
}

#endif

