/* PMIC Handler
   Copyright (c) 2010 Networked Systems Group, University of Kaiserslautern

This file is part of the Imote2 Bootloader

The Bootloader is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

The Bootloader is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#ifndef PMIC_INTERRUPT_H
#define PMIC_INTERRUPT_H

/** \file pmic_interrupt.h
 * \brief pmic interrupt
 */

void pmicInterrupt();

/** \brief write \a PMIC register
 * \note defined in os_arm_bare_inithardware.c
 * \param address address of register
 * \param value value to be written */
void writePMIC(uint8_t address, uint8_t value);

#endif

